Path

ez components / documentation / api reference / latest / webdav


eZ Components latest

Webdav: ezcWebdavStringDisplayInformation

[ Tutorial ] [ Plugin architecture ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavStringDisplayInformation

Display information with string body. [source]
Used by ezcWebdavTransport to transport information on displaying a response to the browser. This display information carries a string body.

Parents

ezcWebdavDisplayInformation
   |
   --ezcWebdavStringDisplayInformation

Member Variables

public string $body
Representation of the response body.
public ezcWebdavResponse $response
Response object to extract headers from.

Method Summary

public void __construct( $response, $body )
Creates a new display information object.

Inherited Methods

From ezcWebdavDisplayInformation :
public void ezcWebdavDisplayInformation::__construct()
Creates a new display information.

Methods

__construct

void __construct( ezcWebdavResponse $response, string $body )
Creates a new display information object.
This display information must be created with a string $body.

Parameters

Name Type Description
$response ezcWebdavResponse  
$body string  

Redefinition of

Method Description
ezcWebdavDisplayInformation::__construct() Creates a new display information.

Last updated: Mon, 10 Nov 2008